Code

t7004: factor out gpg setup
authorJeff King <peff@peff.net>
Wed, 7 Sep 2011 17:42:39 +0000 (13:42 -0400)
committerJunio C Hamano <gitster@pobox.com>
Thu, 8 Sep 2011 20:50:58 +0000 (13:50 -0700)
Other test scripts may want to look at or verify signed
tags, and the setup is non-trivial. Let's factor this out
into lib-gpg.sh for other tests to use.

Signed-off-by: Jeff King <peff@peff.net>
Signed-off-by: Junio C Hamano <gitster@pobox.com>
t/lib-gpg.sh [new file with mode: 0755]
t/lib-gpg/pubring.gpg [new file with mode: 0644]
t/lib-gpg/random_seed [new file with mode: 0644]
t/lib-gpg/secring.gpg [new file with mode: 0644]
t/lib-gpg/trustdb.gpg [new file with mode: 0644]
t/t7004-tag.sh
t/t7004/pubring.gpg [deleted file]
t/t7004/random_seed [deleted file]
t/t7004/secring.gpg [deleted file]
t/t7004/trustdb.gpg [deleted file]

diff --git a/t/lib-gpg.sh b/t/lib-gpg.sh
new file mode 100755 (executable)
index 0000000..28463fb
--- /dev/null
@@ -0,0 +1,26 @@
+#!/bin/sh
+
+gpg_version=`gpg --version 2>&1`
+if test $? = 127; then
+       say "You do not seem to have gpg installed"
+else
+       # As said here: http://www.gnupg.org/documentation/faqs.html#q6.19
+       # the gpg version 1.0.6 didn't parse trust packets correctly, so for
+       # that version, creation of signed tags using the generated key fails.
+       case "$gpg_version" in
+       'gpg (GnuPG) 1.0.6'*)
+               say "Your version of gpg (1.0.6) is too buggy for testing"
+               ;;
+       *)
+               # key generation info: gpg --homedir t/lib-gpg --gen-key
+               # Type DSA and Elgamal, size 2048 bits, no expiration date.
+               # Name and email: C O Mitter <committer@example.com>
+               # No password given, to enable non-interactive operation.
+               cp -R "$TEST_DIRECTORY"/lib-gpg ./gpghome
+               chmod 0700 gpghome
+               GNUPGHOME="$(pwd)/gpghome"
+               export GNUPGHOME
+               test_set_prereq GPG
+               ;;
+       esac
+fi
diff --git a/t/lib-gpg/pubring.gpg b/t/lib-gpg/pubring.gpg
new file mode 100644 (file)
index 0000000..83855fa
Binary files /dev/null and b/t/lib-gpg/pubring.gpg differ
diff --git a/t/lib-gpg/random_seed b/t/lib-gpg/random_seed
new file mode 100644 (file)
index 0000000..8fed133
Binary files /dev/null and b/t/lib-gpg/random_seed differ
diff --git a/t/lib-gpg/secring.gpg b/t/lib-gpg/secring.gpg
new file mode 100644 (file)
index 0000000..d831cd9
Binary files /dev/null and b/t/lib-gpg/secring.gpg differ
diff --git a/t/lib-gpg/trustdb.gpg b/t/lib-gpg/trustdb.gpg
new file mode 100644 (file)
index 0000000..abace96
Binary files /dev/null and b/t/lib-gpg/trustdb.gpg differ
index 097ce2bc8382e748925aa25c2dc0a1f06f6c7b4c..e93ac73829f332cdbf53b05fcc611d4ea38c4c55 100755 (executable)
@@ -8,6 +8,7 @@ test_description='git tag
 Tests for operations with tags.'
 
 . ./test-lib.sh
+. "$TEST_DIRECTORY"/lib-gpg.sh
 
 # creating and listing lightweight tags:
 
@@ -585,24 +586,6 @@ test_expect_success \
        test_cmp expect actual
 '
 
-# subsequent tests require gpg; check if it is available
-gpg --version >/dev/null 2>/dev/null
-if [ $? -eq 127 ]; then
-       say "# gpg not found - skipping tag signing and verification tests"
-else
-       # As said here: http://www.gnupg.org/documentation/faqs.html#q6.19
-       # the gpg version 1.0.6 didn't parse trust packets correctly, so for
-       # that version, creation of signed tags using the generated key fails.
-       case "$(gpg --version)" in
-       'gpg (GnuPG) 1.0.6'*)
-               say "Skipping signed tag tests, because a bug in 1.0.6 version"
-               ;;
-       *)
-               test_set_prereq GPG
-               ;;
-       esac
-fi
-
 # trying to verify annotated non-signed tags:
 
 test_expect_success GPG \
@@ -625,16 +608,6 @@ test_expect_success GPG \
 
 # creating and verifying signed tags:
 
-# key generation info: gpg --homedir t/t7004 --gen-key
-# Type DSA and Elgamal, size 2048 bits, no expiration date.
-# Name and email: C O Mitter <committer@example.com>
-# No password given, to enable non-interactive operation.
-
-cp -R "$TEST_DIRECTORY"/t7004 ./gpghome
-chmod 0700 gpghome
-GNUPGHOME="$(pwd)/gpghome"
-export GNUPGHOME
-
 get_tag_header signed-tag $commit commit $time >expect
 echo 'A signed tag message' >>expect
 echo '-----BEGIN PGP SIGNATURE-----' >>expect
diff --git a/t/t7004/pubring.gpg b/t/t7004/pubring.gpg
deleted file mode 100644 (file)
index 83855fa..0000000
Binary files a/t/t7004/pubring.gpg and /dev/null differ
diff --git a/t/t7004/random_seed b/t/t7004/random_seed
deleted file mode 100644 (file)
index 8fed133..0000000
Binary files a/t/t7004/random_seed and /dev/null differ
diff --git a/t/t7004/secring.gpg b/t/t7004/secring.gpg
deleted file mode 100644 (file)
index d831cd9..0000000
Binary files a/t/t7004/secring.gpg and /dev/null differ
diff --git a/t/t7004/trustdb.gpg b/t/t7004/trustdb.gpg
deleted file mode 100644 (file)
index abace96..0000000
Binary files a/t/t7004/trustdb.gpg and /dev/null differ